commit 2222aa77e11b959e0e5a0ded3482e56799593bc2
Author: Jens Muecke <jens@nons.de>
Date:   Thu Jan 26 00:34:15 2012 +0100

    001-automake-compat

diff --git a/configure.in b/configure.in
index 664c0e9..d91b6ec 100644
--- a/configure.in
+++ b/configure.in
@@ -2,7 +2,8 @@ AC_INIT(include/libxfs.h)
 AC_PREREQ(2.50)
 AC_CONFIG_AUX_DIR([.])
 AC_CONFIG_MACRO_DIR([m4])
-AC_CONFIG_HEADER(include/platform_defs.h)
+# Put a dummy here (http://www.mail-archive.com/automake@gnu.org/msg09241.html)
+AC_CONFIG_HEADERS([doesnotexist.h include/platform_defs.h])
 AC_PREFIX_DEFAULT(/usr)
 
 AC_PROG_LIBTOOL
diff --git a/include/builddefs.in b/include/builddefs.in
index 81ebfcd..5a4a0e8 100644
--- a/include/builddefs.in
+++ b/include/builddefs.in
@@ -20,6 +20,8 @@
 ifndef _BUILDDEFS_INCLUDED_
 _BUILDDEFS_INCLUDED_ = 1
 
+SHELL = @SHELL@
+
 DEBUG = @debug_build@
 OPTIMIZER = @opt_build@
 MALLOCLIB = @malloc_lib@
diff --git a/m4/package_types.m4 b/m4/package_types.m4
index 0a0e087..66a136a 100644
--- a/m4/package_types.m4
+++ b/m4/package_types.m4
@@ -9,7 +9,7 @@ AC_DEFUN([AC_TYPE_PSINT],
 #include <stddef.h>
     ], [
          __psint_t  psint;
-    ], AC_DEFINE(HAVE___PSINT_T) AC_MSG_RESULT(yes) , AC_MSG_RESULT(no))
+    ], AC_DEFINE([HAVE___PSINT_T], [1], [Define if __psint_t exists]) AC_MSG_RESULT(yes) , AC_MSG_RESULT(no))
   ])
 
 # 
@@ -23,7 +23,7 @@ AC_DEFUN([AC_TYPE_PSUNSIGNED],
 #include <stddef.h>
     ], [
         __psunsigned_t  psuint;
-    ], AC_DEFINE(HAVE___PSUNSIGNED_T) AC_MSG_RESULT(yes) , AC_MSG_RESULT(no))
+    ], AC_DEFINE([HAVE___PSUNSIGNED_T], [1], [Define if __psunsigned_t exists]) AC_MSG_RESULT(yes) , AC_MSG_RESULT(no))
   ])
 
 # 
@@ -37,7 +37,7 @@ AC_DEFUN([AC_TYPE_U32],
 #include <stddef.h>
     ], [
          __u32  u32;
-    ], AC_DEFINE(HAVE___U32) AC_MSG_RESULT(yes) , AC_MSG_RESULT(no))
+    ], AC_DEFINE([HAVE___U32], [1], [Define if __u32 exists]) AC_MSG_RESULT(yes) , AC_MSG_RESULT(no))
   ])
 
 # 
@@ -50,15 +50,15 @@ AC_DEFUN([AC_SIZEOF_POINTERS_AND_LONG],
     AC_CHECK_SIZEOF(long, 4)
     AC_CHECK_SIZEOF(char *, 4)
     if test $ac_cv_sizeof_long -eq 4 -o $ac_cv_sizeof_long -eq 0; then
-      AC_DEFINE(HAVE_32BIT_LONG)
+      AC_DEFINE([HAVE_32BIT_LONG], [1], [Define if long is 32bit])
     fi
     if test $ac_cv_sizeof_long -eq 8; then
-      AC_DEFINE(HAVE_64BIT_LONG)
+      AC_DEFINE([HAVE_64BIT_LONG], [1], [Define if long is 64bit])
     fi
     if test $ac_cv_sizeof_char_p -eq 4 -o $ac_cv_sizeof_char_p -eq 0; then
-      AC_DEFINE(HAVE_32BIT_PTR)
+      AC_DEFINE([HAVE_32BIT_PTR], [1], [Define if char* is 32bit])
     fi
     if test $ac_cv_sizeof_char_p -eq 8; then
-      AC_DEFINE(HAVE_64BIT_PTR)
+      AC_DEFINE([HAVE_64BIT_PTR], [1], [Define if char* is 64bit])
     fi
   ])
